petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscFVRestoreTabulation

Frees memory from the associated tabulation.

### Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVRestoreTabulation(PetscFV fvm, PetscInt npoints, const PetscReal points[], PetscReal **B, PetscReal **D, PetscReal **H)

Not collective

### Input Parameters

| fvm | - The PetscFV object
| npoints | - The number of tabulation points
| points | - The tabulation point coordinates
| B | - The basis function values at tabulation points
| D | - The basis function derivatives at tabulation points
| H | - The basis function second derivatives at tabulation points

### Note

    B[(p*pdim + i)*Nc + c] is the value at point p for basis function i and component c

    D[((p*pdim + i)*Nc + c)*dim + d] is the derivative value at point p for basis function i, component c, in direction d

    H[(((p*pdim + i)*Nc + c)*dim + d)*dim + e] is the value at point p for basis function i, component c, in directions d and e

### See Also

PetscFVGetTabulation(), PetscFVGetDefaultTabulation()

### Level

intermediate

### Location

src/dm/dt/fv/interface/fv.c
Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages